from StringIO import StringIO

from Products.CMFCore.utils import getToolByName


def po_export(tool, domain, language, messages=None):
    charset = 'utf-8'

    if messages is None:
        messages = tool.listMessages(domain, language)
    out = StringIO()

    print >> out, """# Gettext Message File
msgid \"\"
msgstr \"\"
\"MIME-Version: 1.0\\n\"
\"Content-Type: text/plain; charset=%s\\n\"
\"Content-Transfer-Encoding: 8bit\\n\"
\"Language-code: %s\\n\"
\"Preferred-encodings: %s\\n\"
\"Domain: %s\\n\"
""" % (charset, language, charset, domain)

    for message in messages:
        print >> out, u"""\
msgid \"%s\"
msgstr \"%s\"
""" % (message['msgid'], message['msgstr'])

    return out.getvalue().encode(charset)    
